{
  "dependencies": {
    "@next/font": "^14.2.15",
    "next": "^15.3.3",
    "oidc-client-ts": "^3.3.0",
    "openapi-typescript-fetch": "^2.2.1",
    "react": "^19.1.0",
    "react-dom": "^19.1.0",
    "react-oidc-context": "^3.3.0"
  },
  "scripts": {
    "dev": "npm run generate:types && next dev",
    "build": "npm run generate:types && next build",
    "start": "next start",
    "lint": "next lint",
    "generate:types": "bash generate_types.sh DOCKER_BACKEND"
  },
  "devDependencies": {
    "@tailwindcss/postcss": "^4.1.10",
    "@types/node": "24.0.3",
    "@types/react": "19.1.8",
    "postcss": "^8.5.6",
    "prettier": "3.6.2",
    "prettier-plugin-tailwindcss": "^0.6.13",
    "tailwindcss": "^4.1.10",
    "typescript": "5.8.3"
  }
}
